For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all project roles.
      • POSTCreates a new project role.
      • GETReturns all project roles assigned to the specified user.
      • GETReturns a project role by its id.
      • PUTUpdates an existing project role.
      • POSTDeletes a project role and migrates its members to a new role.
      • GETReturns all permissions assigned to a project role.
      • POSTCreates or updates a permission for a project role.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Roles

Deletes a project role and migrates its members to a new role.

POST
https://api.awork.com/api/v1/projectroles/:projectRoleId/delete
POST
/api/v1/projectroles/:projectRoleId/delete
$curl -X POST https://api.awork.com/api/v1/projectroles/projectRoleId/delete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Returns all permissions assigned to a project role.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectRoleIdstringRequiredformat: "uuid"
The id of the project role.

Request

The model to delete the project role.
newProjectRoleIdstring or nullOptionalformat: "uuid"
The id of the new project role. Needs to be set when there are still users in projects with the old project role.

Response

OK

Errors

400
Bad Request Error
404
Not Found Error